Skip to main content
GET
/
security
/
sifter
/
v3
/
profiles
List protection profiles
curl --request GET \
  --url https://api.gcore.com/security/sifter/v3/profiles \
  --header 'Authorization: <api-key>'
{
  "count": 25,
  "next": "https://api.example.com/v2/configs?offset=10&limit=10",
  "results": []
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

limit
integer
default:10
Required range: x >= 1
offset
integer
default:0
Required range: x >= 0
name
string | null

Filter by name

Maximum string length: 255
client_id
integer | null

A positive integer ID

Required range: 1 <= x <= 1000000000
order_by
string | null

Ordering, e.g. 'created_at,name'

Maximum string length: 255

Response

Successful Response

count
integer
default:0
next
string | null
previous
string | null
results
ProtectionProfileListResponse · object[]